All docsStellar LinkRF bench · by Stellar Systems v0.1.0

API Reference

Events

Runtime events — planned L3

GET/api/v1/events

List#

Query parameters

kind

string · nullable

source

string · nullable

severity

string · nullable

since

string · date-time · nullable

until

string · date-time · nullable

limit

integer

≥ 0

Responses

200OKapplication/json

array of EventDRO

id

integer · int64 · nullable

kindrequired

string

sourcerequired

string

severityrequired

string

messagerequired

string

timestamprequired

string · date-time

Request

curl "http://192.168.2.1:8080/api/v1/events"

Response

[
  {
    "id": 0,
    "kind": "string",
    "source": "string",
    "severity": "string",
    "message": "string",
    "timestamp": "2026-09-29T08:30:00Z"
  }
]
DELETE/api/v1/events

Purge#

Request body application/jsonrequired

older_than_hoursrequired

integer · int64

Purge events older than this many hours.

Responses

200OKapplication/json
purgedrequired

integer

≥ 0

Request

curl -X DELETE "http://192.168.2.1:8080/api/v1/events" \
  -H "Content-Type: application/json" \
  -d '{
  "older_than_hours": 0
}'

Response

{
  "purged": 0
}
GET/api/v1/events/latest

Latest#

Query parameters

n

integer

≥ 0

Responses

200OKapplication/json

array of EventDRO

id

integer · int64 · nullable

kindrequired

string

sourcerequired

string

severityrequired

string

messagerequired

string

timestamprequired

string · date-time

Request

curl "http://192.168.2.1:8080/api/v1/events/latest"

Response

[
  {
    "id": 0,
    "kind": "string",
    "source": "string",
    "severity": "string",
    "message": "string",
    "timestamp": "2026-09-29T08:30:00Z"
  }
]

↑↓ to moveEnter to open